Subject: Re: [secdir] secdir review of draft-ietf-l2vpn-pbb-evpn-09 (resend)

From: "Adrian Farrel" <[email-masked]>
Date: Wed, 21 Jan 2015 10:38:43 -0000

Again, re-sending with fixed subject line for people who auto-file.

From: iesg [mailto:[email-masked]] On Behalf Of Catherine Meadows
Sent: 20 January 2015 21:49
To: [email-masked]; [email-masked]; [email-masked]
Cc: Catherine Meadows
Subject: secdir review of draft-ietf-12vpn-pbb-evpn-09 (resend)
 
I messed up the authors' address when I sent this review last week, so I'm
trying again.
 
Cathy
 
I have reviewed this document as part of the security directorate's 
ongoing effort to review all IETF documents being processed by the 
IESG.  These comments were written primarily for the benefit of the 
security area directors.  Document editors and WG chairs should treat 
these comments just like any other last call comments.

This draft describes a method for integrating Ethernet Provider Backbone Bridge
(PBB) with Ethernet VPN (EVPN) to
improve the delivery of MAC addresses, in particular with respect to
scalability.  

I don't see any security concerns with this draft, but I do have some comments
on the Security Considerations section.
It is very short, and all it says that the security considerations in the EVPN
draft apply directly to this draft. I assume that
it is also the case that this draft introduces no new security considerations.
If so, you should say so, and you should
also say why.  Also, I was wondering if the mechanisms introduced in this draft,
by introducing a greater degree of organization
in the delivery of MAC addresses, makes it easier to detect duplicated MACs,
which were mentioned as a security risk in the
Security Considerations of the EVPN draft.  If this is the case, it would be a
good thing to mention here.

I'd consider the draft somewhere between ready with nits and ready with issues.
I don't see any real security issues
here, just a Security Considerations section that needs to be expanded a little,
but this seems to be a little more than what the
secdir guidelines would call a nit.

Catherine Meadows
Naval Research Laboratory
Code 5543
4555 Overlook Ave., S.W.
Washington DC, 20375
phone: 202-767-3490
fax: 202-404-7942
email: [email-masked]